Skip to content
Work in progress
Ruby
Branch: master
Clone or download
k8s-ci-robot Merge pull request #45 from brendandburns/watch2
Add support for watch @ resourceVersion, and improve tests.
Latest commit a8363be May 16, 2019

README.md

Kubernetes Ruby Client

Ruby client for the kubernetes API.

Usage

require 'kubernetes'
require 'pp'

kube_config = Kubernetes::KubeConfig.new("#{ENV['HOME']}/.kube/config")
config = Kubernetes::Configuration.new()

kube_config.configure(config)

client = Kubernetes::CoreV1Api.new(Kubernetes::ApiClient.new(config))

pp client.list_namespaced_pod('default')

Contribute

Please see CONTRIBUTING.md for instructions on how to contribute.

Code of conduct

Participation in the Kubernetes community is governed by the Kubernetes Code of Conduct.

Development

Update client

to update the client clone the gen repo and run this command at the root of the client repo:

${GEN_REPO_BASE}/openapi/ruby.sh kubernetes settings

License

This program follows the Apache License version 2.0 (http://www.apache.org/licenses/ ). See LICENSE file included with the distribution for details.

You can’t perform that action at this time.